Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.iterators
Class FilterListIterator

    java.lang.Object
      |
      +--org.apache.commons.collections.iterators.FilterListIterator

All Implemented Interfaces:
  Iterator, ListIterator

public class FilterListIterator
extends Object
implements ListIterator

A proxy `ListIterator` which takes a `Predicate` instance to filter out objects from an underlying `ListIterator` instance. Only objects for which the specified `Predicate` evaluates to `true` are returned by the iterator.

Since:
  Commons Collections 2.0
Version:
  $Revision: 1.7 $ $Date: 2004/02/18 00:59:50 $
Author:
  Rodney Waldhoff

Constructor Summary
`FilterListIterator()` Constructs a new `FilterListIterator` that will not function until `setListIterator` and `setPredicate` are invoked.
`FilterListIterator(ListIterator iterator)` Constructs a new `FilterListIterator` that will not function until `setPredicate` is invoked.
`FilterListIterator(ListIterator iterator, Predicate predicate)` Constructs a new `FilterListIterator`.
`FilterListIterator(Predicate predicate)` Constructs a new `FilterListIterator` that will not function until `setListIterator` is invoked.

Method Summary
`void` | `add(Object o)` Not supported.
`ListIterator` | `getListIterator()` Gets the iterator this iterator is using.
`Predicate` | `getPredicate()` Gets the predicate this iterator is using.
`boolean` | `hasNext()`
`boolean` | `hasPrevious()`
`Object` | `next()`
`int` | `nextIndex()`
`Object` | `previous()`
`int` | `previousIndex()`
`void` | `remove()` Not supported.
`void` | `set(Object o)` Not supported.
`void` | `setListIterator(ListIterator iterator)` Sets the iterator for this iterator to use.
`void` | `setPredicate(Predicate predicate)` Sets the predicate this the iterator to use.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterListIterator

    public FilterListIterator()

  Constructs a new `FilterListIterator` that will not function until `setListIterator` and `setPredicate` are invoked.

### FilterListIterator

    public FilterListIterator(ListIterator iterator)

  Constructs a new `FilterListIterator` that will not function until `setPredicate` is invoked.

Parameters:
  `iterator` - the iterator to use

### FilterListIterator

    public FilterListIterator(ListIterator iterator,
                              Predicate predicate)

  Constructs a new `FilterListIterator`.

Parameters:
  `iterator` - the iterator to use
  `predicate` - the predicate to use

### FilterListIterator

    public FilterListIterator(Predicate predicate)

  Constructs a new `FilterListIterator` that will not function until `setListIterator` is invoked.

Parameters:
  `predicate` - the predicate to use.

Method Detail

### add

    public void add(Object o)

  Not supported.

  Specified by:
    `add` in interface `ListIterator`

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `ListIterator`

### hasPrevious

    public boolean hasPrevious()

  Specified by:
    `hasPrevious` in interface `ListIterator`

### next

    public Object next()

  Specified by:
    `next` in interface `ListIterator`

### nextIndex

    public int nextIndex()

  Specified by:
    `nextIndex` in interface `ListIterator`

### previous

    public Object previous()

  Specified by:
    `previous` in interface `ListIterator`

### previousIndex

    public int previousIndex()

  Specified by:
    `previousIndex` in interface `ListIterator`

### remove

    public void remove()

  Not supported.

  Specified by:
    `remove` in interface `ListIterator`

### set

    public void set(Object o)

  Not supported.

  Specified by:
    `set` in interface `ListIterator`

### getListIterator

    public ListIterator getListIterator()

  Gets the iterator this iterator is using.

  Returns:
    the iterator.

### setListIterator

    public void setListIterator(ListIterator iterator)

  Sets the iterator for this iterator to use. If iteration has started, this effectively resets the iterator.

  Parameters:
    `iterator` - the iterator to use

### getPredicate

    public Predicate getPredicate()

  Gets the predicate this iterator is using.

  Returns:
    the predicate.

### setPredicate

    public void setPredicate(Predicate predicate)

  Sets the predicate this the iterator to use.

  Parameters:
    `predicate` - the transformer to use

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 Apache Software Foundation. All Rights Reserved.